Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBRemoteAccount

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBRemoteAccount

All Implemented Interfaces:
  CreateListener, DeleteListener, EventListener

public final class DBRemoteAccount
extends DBBase
implements DeleteListener, CreateListener

Inner Class Summary
`class` | `DBRemoteAccount.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(DataOutputStream dos)`
`DBRemoteAccount.Row` | `create(DBUser.Row user, DBSystem.Row system, String password, DBSession.Row session)`
`void` | `createEvent(CreateEvent createEvent)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`void` | `deleteEvent(DeleteEvent deleteEvent)`
`DBRemoteAccount.Row` | `get(DBSession.Row session)`
`List` | `get(DBSystem.Row system)`
`List` | `get(DBUser.Row user)`
`DBRemoteAccount.Row` | `get(DBUser.Row user, DBSystem.Row system)`
`void` | `restore(String fileNamePrefix, DataInputStream dis)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### deleteEvent

    public void deleteEvent(DeleteEvent deleteEvent)
                     throws Exception

  Specified by:
    `deleteEvent` in interface `DeleteListener`

### createEvent

    public void createEvent(CreateEvent createEvent)
                     throws Exception

  Specified by:
    `createEvent` in interface `CreateListener`

### create

    public DBRemoteAccount.Row create(DBUser.Row user,
                                      DBSystem.Row system,
                                      String password,
                                      DBSession.Row session)
                               throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### get

    public DBRemoteAccount.Row get(DBUser.Row user,
                                   DBSystem.Row system)
                            throws Exception

### get

    public List get(DBSystem.Row system)
             throws Exception

### get

    public List get(DBUser.Row user)
             throws Exception

### get

    public DBRemoteAccount.Row get(DBSession.Row session)
                            throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix,
                        DataInputStream dis)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD